Bug 99687 - Find Text text widget fails to emit accessible object:text-caret-moved events
Summary: Find Text text widget fails to emit accessible object:text-caret-moved events
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:5.4.0 target:5.3.0.1 target:5.2.4
Keywords: accessibility
Depends on:
Blocks: a11y-Linux Find-Search
  Show dependency treegraph
 
Reported: 2016-05-05 00:02 UTC by Joanmarie Diggs
Modified: 2017-10-05 13:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
pyatspi accessible-event listener (273 bytes, text/x-python)
2016-05-05 00:02 UTC, Joanmarie Diggs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs 2016-05-05 00:02:20 UTC
Created attachment 124850 [details]
pyatspi accessible-event listener

Steps to reproduce:
1. Launch the attached pyatspi accessible-event listener in a terminal
2. Launch LibreOffice Writer
3. Type a few characters in the document and arrow left and right
4. Press Ctrl+F for Find Text text widget
5. Type a few characters in Find Text text widget and arrow left and right

Expected results: During step 3 and during step 5, object:text-caret-moved events would be seen each time the caret moves, both for input and for arrowing.

Actual results: Things work as expected for the document (step 3), but fail completely for the Find Text text widget (step 5).

I can reproduce this in both 5.1.3.1 and 5.2.0.0 alpha 1.
Comment 1 Buovjaga 2016-05-06 10:59:20 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 540fee2dc7553152914f7f1d8a41921e765087ef
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on April 30th 2016
Comment 2 Yousuf Philips (jay) 2016-09-13 15:34:32 UTC
Confirmed that it is a linux only issue as it doesnt happen with NVDA on windows in 5.3 master.
Comment 3 Commit Notification 2016-11-26 17:28:16 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1afa80bb3613c9202fa9d83447fdd5d57667cb6

tdf#99687: Find Text widget fails to emit object:text-caret-moved events

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-11-26 20:57:15 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9f2330497427a3d5938ec0a2b15b18ce4571404&h=libreoffice-5-3

tdf#99687: Find Text widget fails to emit object:text-caret-moved events

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-11-28 11:26:02 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b11455e1905b9a7ce3958ea43bbfe5cbb6ee916&h=libreoffice-5-2

tdf#99687: Find Text widget fails to emit object:text-caret-moved events

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Alex ARNAUD 2017-10-04 11:09:25 UTC
Dear all,

I confirm the resolution of the bug with this fix. Thank you very much Tamás Zolnai.

Best regards.